Skip to main content
GET
List User Jobs

Authorizations

Authorization
string
header
required

Your Mindcase API key: Authorization: Bearer mk_live_...

Query Parameters

status
string | null

Only return jobs in these states — one or a comma-separated list of queued, running, completed, failed, cancelled, rejected_balance. Omit for all.

agent
string | null

Only runs of this API, as group/slug (e.g. zillow/properties).

created_after
string | null

Only runs created at or after this ISO-8601 date/datetime (UTC if no offset).

created_before
string | null

Only runs created before this ISO-8601 date/datetime (UTC if no offset).

run_id
string | null

Find a run by its ID — the full UUID, or its first 6+ characters.

cursor
string | null

The next_cursor from the previous page. Omit for the newest runs.

limit
integer
default:20

Jobs per page, newest first (max 100).

Response

Successful Response